<?php
/**
 * Default View for YjContactUS Component
 * 
 * @package    
 * @subpackage Components
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport( 'joomla.application.component.view' );

/**
 * Default View
 *
 * @package    
 * @subpackage Components
 */
class YjContactUSViewYjDepartment extends YjContactUSViewLegacy
{
	/**
	 * display method of YjContactUS view
	 * @return void
	 **/
	function display($tpl = null){
		
		// get the Data
		$form = $this->get('Form');
		$item = $this->get('Item');
		$script = $this->get('Script');

		// Check for errors.
		if (count($errors = $this->get('Errors'))) 
		{
			JError::raiseError(500, implode('<br />', $errors));
			return false;
		}
		// Assign the Data
		$this->form = $form;
		$this->item = $item;
		$this->script = $script;

		// Set the toolbar
		$this->addToolBar();
		
		// Display the template
		parent::display($tpl);

		// Set the document
		$this->setDocument();
	}
	
	/**
	 * Setting the toolbar
	 */
	protected function addToolBar() 
	{
		JRequest::setVar('hidemainmenu', true);
		$user = JFactory::getUser();
		$userId = $user->id;
		$isNew = $this->item->id == 0;
		$canDo = YjContactUSHelpers::getActions($this->item->id);
		
		JToolBarHelper::title($isNew ? JText::_('COM_YJCONTACTUS_TITLE_NEW_DEPART') : JText::_('COM_YJCONTACTUS_TITLE_EDIT_DEPART'), 'generic.png');
		// Built the actions for new and existing records.
		if ($isNew) 
		{
			// For new records, check the create permission.
			if ($canDo->get('core.create')) 
			{
				JToolBarHelper::apply('yjdepartment.apply', 'JTOOLBAR_APPLY');
				JToolBarHelper::save('yjdepartment.save', 'JTOOLBAR_SAVE');
				JToolBarHelper::custom('yjdepartment.save2new', 'save-new.png', 'save-new_f2.png', 'JTOOLBAR_SAVE_AND_NEW', false);
			}
			JToolBarHelper::cancel('yjdepartment.cancel', 'JTOOLBAR_CANCEL');
		}
		else
		{
			if ($canDo->get('core.edit'))
			{
				// We can save the new record
				JToolBarHelper::apply('yjdepartment.apply', 'JTOOLBAR_APPLY');
				JToolBarHelper::save('yjdepartment.save', 'JTOOLBAR_SAVE');

				// We can save this record, but check the create permission to see if we can return to make a new one.
				if ($canDo->get('core.create')) 
				{
					JToolBarHelper::custom('yjdepartment.save2new', 'save-new.png', 'save-new_f2.png', 'JTOOLBAR_SAVE_AND_NEW', false);
				}
			}
			if ($canDo->get('core.create')) 
			{
				JToolBarHelper::custom('yjdepartment.save2copy', 'save-copy.png', 'save-copy_f2.png', 'JTOOLBAR_SAVE_AS_COPY', false);
			}
			JToolBarHelper::cancel('yjdepartment.cancel', 'JTOOLBAR_CLOSE');
		}
	}

	/**
	 * Method to set up the document properties
	 *
	 * @return void
	 */
	protected function setDocument() 
	{
		$isNew = $this->item->id == 0;
		$document = JFactory::getDocument();
		$document->setTitle($isNew ? JText::_('COM_YJCONTACTUS_TITLE_NEW_DEPART') : JText::_('COM_YJCONTACTUS_TITLE_EDIT_DEPART'));
		$document->addScript(JURI::root() . $this->script);
		$document->addScript(JURI::root() . "/administrator/components/com_yjcontactus/views/yjdepartment/submitbutton.js");
		JText::script('COM_YJCONTACTUS_ERROR_UNACCEPTABLE');
	}
}